*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
	font-family: "Gilroy", sans-serif;
}

.main {
	background-color: #a9a9a9;
	padding: 2rem;
}

.container {
	background-color: #eee;
	width: 800px;
	max-width: 100%;
	margin: 2rem auto;
	padding: 2rem;
	border-radius: 1rem;
}

h1 {
	text-align: center;
	margin-bottom: 2rem;
}

span {
	color: blueviolet;
	font-size: 1.4rem;
}

form {
	display: grid;
}

label {
	font-size: 0.9rem;
	font-weight: 600;
}

input,
select,
textarea {
	display: block;
	width: 100%;
	height: 3rem;
	border: 1px solid #000;
	border-radius: 0.3rem;
	margin-block: 0.5rem 1rem;
	padding: 0.8rem 1rem;
	font-size: 1rem;
}

input:focus,
select:focus,
textarea:focus {
	outline: none !important;
	border: 2px solid orange;
}

.date input,
.cv input {
	padding: 0.8rem;
}

.textarea-field textarea {
	height: 8rem;
	resize: none;
	overflow-y: auto;
}

.button-container {
	display: flex;
	justify-content: flex-end;
	margin-top: 2rem;
}

button {
	background-color: red;
	color: #fff;
	border: 1px solid #fff;
	padding: 0.7rem 1rem;
	font-size: 1rem;
	border-radius: 0.2rem;
	transition: 0.4s all;
	cursor: pointer;
}

button:hover {
	color: red;
	background-color: #fff;
	border: 1px solid red;
}

@media (min-width: 666px) {
	form {
		grid-template-columns: repeat(2, 1fr);
		gap: 1rem;
	}

	.textarea-field,
	.button-container {
		grid-column: 1 / span 2;
	}
}
